import { html as n } from "lit";
import { property as l } from "lit/decorators.js";
import { PieIconComponent as h } from "./PieIconComponent.js";
import { safeCustomElement as m } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, v = Object.getOwnPropertyDescriptor, a = (p, t, s, r) => {
  for (var e = r > 1 ? void 0 : r ? v(t, s) : t, i = p.length - 1, c; i >= 0; i--)
    (c = p[i]) && (e = (r ? c(t, s, e) : c(e)) || e);
  return r && e && f(t, s, e), e;
};
let o = class extends h {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--creditCardHome", this.class = "c-pieIcon c-pieIcon--creditCardHome", this.name = "IconCreditCardHome";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--creditCardHome"><path d="M4.5 11.5h1.75v.875H4.5zM8.814 1.254a2.08 2.08 0 0 0-1.637 0 46 46 0 0 0-6.125 4.068l.823 1.042A43 43 0 0 1 7.72 2.452c.178-.043.364-.043.542 0a43 43 0 0 1 5.863 3.912l.814-1.042a46 46 0 0 0-6.125-4.068M13.906 8v5.25a1.54 1.54 0 0 1-1.531 1.531h-8.75a1.54 1.54 0 0 1-1.531-1.531V8a1.54 1.54 0 0 1 1.531-1.531h8.75a1.54 1.54 0 0 1 1.531 1.53m-10.5 0v1.094h9.188V8a.22.22 0 0 0-.219-.219h-8.75A.22.22 0 0 0 3.406 8m9.188 5.25v-2.844H3.406v2.844a.22.22 0 0 0 .219.219h8.75a.22.22 0 0 0 .219-.22"></path></svg>`;
  }
};
a([
  l({ type: String, reflect: !0 })
], o.prototype, "size", 2);
a([
  l({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = a([
  m("icon-credit-card-home")
], o);
export {
  o as IconCreditCardHome
};
